Customer: VW Product Issue

Numbers:
Department:  Affected Products: ADTF 3.3.3
Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Die Fehlermeldung ist bei dem folgenden Beispiel vollkommen irritierend und sollte ggf. angepasst werden.

1. Man erstellt einen Filtergraphen und verknüpft die pins

2. man ändert im code den Pin-Namen

3. man startet den launcher und bekommt die angegebene Meldung beim Init

Da die Programmierer nicht unbedingt die Configs erstellen glaube ich, dass diese Meldung in der Realität Verwirrung stiften wird.

Davon mal abgesehen: warum wird denn überhaupt versucht einen dynamic pin zu erzeugen? Sieht durch die Meldung jedenfalls so

aus.

Lösung

Ist in ADTF 3.4.0 umgesetzt (ACORE-9795).

History

#1 - 2018-11-30 13:33 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to VW

#2 - 2018-11-30 13:47 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9795

Hallo Timo,

grundsätzlich ist die Fehlermeldung schon richtig.

Der Pinname ist nicht vergeben, damit ist er nicht statisch sondern dynamisch.

Darauf ist der Filter nicht vorbereitet, das sagt dir die API.

-> Die Fehlermeldung muss genauso bleiben.

Es gibt ja Fälle, in denen Pins immer händisch bzw. nicht statisch erstellt werden.

Ich denke man könnte sie höchstens um den Pinnamen ergänzen, dazu habe ich ein Ticket (ACORE-9795) angelegt.

#3 - 2018-12-06 08:25 - hidden

- Project changed from 20 to Public Support

- Subject changed from Fehlermeldung "filter x does not support dynamic pins" to Improve error logging "filter x does not support dynamic pins"

- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Ist in ADTF 3.4.0 umgesetzt (ACORE-9795).

Ticket kann geschlossen werden.

#4 - 2019-01-18 10:25 - hidden

- Status changed from To Be Closed to Closed
